Subject: Re: bug#16452: opt_duplicate_compiler_generated_deps is harmful on Solaris

From: "Gary V. Vaughan" <[email-masked]>
Date: Sat, 18 Jan 2014 10:18:39 +1300

Hi Rainer,

On Jan 16, 2014, at 1:59 AM, Rainer Orth <[email-masked]> wrote:
> diff --git a/ltmain.sh b/ltmain.sh
> --- a/ltmain.sh
> +++ b/ltmain.sh
> @@ -976,7 +976,7 @@ func_enable_tag ()
> 
> 
>   case $host in
> -    *cygwin* | *mingw* | *pw32* | *cegcc*)
> +    *cygwin* | *mingw* | *pw32* | *cegcc* | *solaris2* )
>       # don't eliminate duplications in $postdeps and $predeps
>       opt_duplicate_compiler_generated_deps=:
>       ;;
> 
> I think that patch should go into upstream libtool as well, although
> this won't help for all the copies of libtool already included in
> released packages.  As described in the PR, I'm uncertain how to move
> forward here.  Suggestions?

I took the liberty of writing a ChangeLog on your behalf.

Pushed, this will be in the incoming release as long as testing doesn't find
any issues.  Thanks.

Cheers,
-- 
Gary V. Vaughan (gary AT gnu DOT org)